CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products []
Cesky English Deutsch
 Visitors: 1789 

CAD tip CAD tip # 8910:

Question CAD 
 %  platform  category 
Q - question

iLogic rule to measure loop length in a sketch.

A - answer With a simple iLogic expression (rule) you can automatically display loop length - length of the first sketch containing any geometry.

2D sketch:

Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1)  
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")  

3D sketch:

Dim se As SketchEntity3D = ThisDoc.Document.ComponentDefinition.Sketches3D(1).SketchLines3D(1)  
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")  
100% *  CAD 
15.11.2012    4275×  
Comments   Tell a friend
applies to: Inventor ·

See also:
Tip 11801:What is the difference between ThisDoc.Document and ThisApplication.ActiveDocument in iLogic?
Tip 11732:How to sort BOM or parts list by part number in Inventor? (iLogic)
Tip 11542:How to reset the top browser node name back to the file name?
Tip 11244:Labels with incrementing numbers - assembly with numbered labels for laser cutting.
Tip 11211:Mass change of units in the whole Inventor assembly.

Back   All CAD Tips All CAD tips&tricks

Drafting settings: Please enter an integer from 1 to 100 « | » Creating a dormer in Revit Architecture.

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   

Simply link AutoCAD LT blocks to Excel table data.
Excellink LT 2006 More info

Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.